@import url("https://fonts.googleapis.com/css2?family=Goudy+Bookletter+1911&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto+Slab&display=swap");
@import url("https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap");

nav {
  opacity: 90%;
}
.nav-items {
  text-shadow: 1px 2px rgb(43, 42, 42);
  transition: 0.5s;
  font-family: "Goudy Bookletter 1911", serif;
  font-size: 20px;
  margin-right: 20px;
  font-weight: 400;
  letter-spacing: 0.1rem;
}
.nav-items:hover {
  background-color: darkcyan;
  border-radius: 10px;
}
/* home */

.heading-content {
  position: absolute;
  top: 15%;
  width: 100%;
  max-width: 100%;
}
.heading-content h5 {
  font-size: 0.5em;
  font-weight: 300;
  color: white;
  font-family: "Roboto Slab", serif;
  margin-bottom: 0.5px;
  letter-spacing: 0.2rem;
}
.heading-content h1 {
  font-size: 1em;
  font-weight: 300;
  color: white;
  font-family: "Roboto Slab", serif;
  margin-bottom: 0.5px;
  letter-spacing: 0.2rem;
}
.heading-content p {
  font-size: 0.25em;
  font-weight: 300;
  text-transform: uppercase;
  color: white;
  font-family: "Roboto Slab", serif;
  margin-bottom: 0.5px;
  font-weight: lighter;
  letter-spacing: 0.25rem;
  word-spacing: 5px;
}
@media screen and (min-width: 540px) {
  .heading-content {
    position: absolute;
    top: 45%;
    width: 100%;
    max-width: 100%;
  }
  .heading-content h5 {
    font-size: 1.5em;
    font-weight: 100;
    color: white;
    font-family: "Roboto Slab", serif;
  }
  .heading-content h1 {
    font-size: 3em;
    font-weight: 300;
    color: white;
    font-family: "Roboto Slab", serif;
    margin-bottom: 0.5px;
    letter-spacing: 0.2rem;
  }
  .heading-content p {
    font-size: 0.5em;
    font-weight: 300;
    text-transform: uppercase;
    color: white;
    font-family: "Roboto Slab", serif;
    margin-bottom: 0.5px;
    font-weight: lighter;
    letter-spacing: 0.25rem;
    word-spacing: 5px;
  }
}
@media screen and (min-width: 720px) {
  .heading-content {
    position: absolute;
    top: 20%;
    width: 100%;
    max-width: 100%;
  }
}
/* background image */
.img-fluid {
  opacity: 0.89;
}
/* about */
.heading {
  font-family: "Roboto Slab", serif;
  font-weight: bold;
}
.about-heading {
  font-family: "Roboto Slab", serif;
  font-size: 3.5em;
  font-weight: 300;
  letter-spacing: 0.2rem;
}
.about-details {
  font-family: "Goudy Bookletter 1911", serif;
}
/* skills  */
.skills-heading {
  font-family: "Roboto Slab", serif;
  font-weight: 300;
  letter-spacing: 0.2rem;
  font-size: 3.5em;
}
.skills-bar {
  background: #fff;
  border-radius: 20px;
  padding: 15px 30px;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.377);
}
.skills-bar .bar {
  margin: 20px 0;
}
.skills-bar .bar:first-child {
  margin-top: 0px;
}
.skills-bar .bar .info {
  margin-bottom: 5px;
}
.skills-bar .bar .info span {
  font-size: 17px;
  font-weight: 500;
  opacity: 0;
  animation: showText 0.5s 1s linear forwards;
}

@keyframes showText {
  100% {
    opacity: 1;
  }
}
.skills-bar .bar .progress-line {
  position: relative;
  height: 10px;
  width: 100%;
  background: #f0f0f0;
  border-radius: 10px;
  transform: scaleX(0);
  transform-origin: left;
  box-shadow: inset 0px 1px 1px rgba(0, 0, 0, 0.05),
    0px 1px rgba(255, 255, 255, 0.8);
  animation: animate 1s cubic-bezier(1, 0, 0.5, 1) forwards;
}
.bar .progress-line span {
  height: 100%;
  width: 80%;
  background: #1aa1df;
  position: absolute;
  border-radius: 10px;
  transform: scaleX(0);
  transform-origin: left;
  animation: animate 1s 1s cubic-bezier(1, 0, 0.5, 1) forwards;
}

@keyframes animate {
  100% {
    transform: scaleX(1);
  }
}

.progress-line.html span {
  width: 95%;
}
.progress-line.css span {
  width: 85%;
}
.progress-line.bootstrap span {
  width: 90%;
}
.progress-line.javascript span {
  width: 75%;
}
.progress-line.react span {
  width: 85%;
}
.progress-line.node span {
  width: 90%;
}
.progress-line.mongo span {
  width: 60%;
}
.progress-line.java span {
  width: 90%;
}
.progress-line.csharp span {
  width: 83%;
}
.progress-line.asp span {
  width: 50%;
}
.bar .progress-line span::before {
  position: absolute;
  content: "";
  right: 0;
  top: -10px;
  height: 0;
  width: 0;
  border: 7px solid transparent;
  border-bottom-width: 0px;
  border-right-width: 0px;
  border-top-color: #000;
  opacity: 0;
  animation: showText2 0.5s 1.5s linear forwards;
}
.bar .progress-line span::after {
  position: absolute;
  right: 0;
  top: -26px;
  color: #fff;
  font-size: 12px;
  font-weight: 500;
  background: #000;
  padding: 1px 8px;
  border-radius: 3px;
  opacity: 0;
  animation: showText2 0.5s 1.5s linear forwards;
}

@keyframes showText2 {
  100% {
    opacity: 1;
  }
}

.progress-line.html span::after {
  content: "95%";
}
.progress-line.css span::after {
  content: "85%";
}
.progress-line.bootstrap span::after {
  content: "90%";
}
.progress-line.javascript span::after {
  content: "75%";
}
.progress-line.react span::after {
  content: "85%";
}
.progress-line.node span::after {
  content: "90%";
}
.progress-line.mongo span::after {
  content: "60%";
}
.progress-line.java span::after {
  content: "90%";
}
.progress-line.csharp span::after {
  content: "83%";
}
.progress-line.asp span::after {
  content: "50%";
}
/*------------------------- project start=------------------*/
.project {
  font-family: "Roboto Slab", serif;
  font-weight: 300;
  letter-spacing: 0.2rem;
  font-size: 3.5em;
}
.project-heading {
  font-family: "Roboto Slab", serif;
  font-weight: 300;
  letter-spacing: 0.2rem;
}
.card {
  box-shadow: 5px 8px 5px 8px rgb(75, 73, 73);
}
/*------------------------- contact start------------------ */
.contact {
  font-family: "Roboto Slab", serif;
  font-weight: 300;
  letter-spacing: 0.2rem;
  font-size: 3.5em;
}

.wrapper {
  display: inline-flex;
}
.wrapper .icon {
  margin: 0 20px;
  text-align: center;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
  z-index: 2;
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}
.wrapper .icon span {
  display: block;
  height: 60px;
  width: 60px;
  background: #fff;
  border-radius: 50%;
  position: relative;
  z-index: 2;
  box-shadow: 0px 10px 10px rgba(0, 0, 0, 0.1);
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}
.wrapper .icon span i {
  line-height: 60px;
  font-size: 25px;
}
.wrapper .icon .tooltip {
  position: absolute;
  top: 0;
  z-index: 1;
  background: #fff;
  color: #fff;
  padding: 10px 18px;
  font-size: 20px;
  font-weight: 500;
  border-radius: 25px;
  opacity: 0;
  pointer-events: none;
  box-shadow: 0px 10px 10px rgba(0, 0, 0, 0.1);
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}
.wrapper .icon:hover .tooltip {
  top: -70px;
  opacity: 1;
  pointer-events: auto;
}
.icon .tooltip:before {
  position: absolute;
  content: "";
  height: 15px;
  width: 15px;
  background: #fff;
  left: 50%;
  bottom: -6px;
  transform: translateX(-50%) rotate(45deg);
  transition: 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}
.wrapper .icon:hover span {
  color: #fff;
}
.wrapper .icon:hover span,
.wrapper .icon:hover .tooltip {
  text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.4);
}
.wrapper .facebook:hover span,
.wrapper .facebook:hover .tooltip,
.wrapper .facebook:hover .tooltip:before {
  background: #3b5999;
}
.wrapper .twitter:hover span,
.wrapper .twitter:hover .tooltip,
.wrapper .twitter:hover .tooltip:before {
  background: #46c1f6;
}
.wrapper .instagram:hover span,
.wrapper .instagram:hover .tooltip,
.wrapper .instagram:hover .tooltip:before {
  background: #e1306c;
}
.wrapper .github:hover span,
.wrapper .github:hover .tooltip,
.wrapper .github:hover .tooltip:before {
  background: #333;
}
.wrapper .youtube:hover span,
.wrapper .youtube:hover .tooltip,
.wrapper .youtube:hover .tooltip:before {
  background: #de463b;
}
/* address */
.address {
  font-family: "Roboto Slab", serif;
  font-weight: 300;
  letter-spacing: 0.01rem;
  font-size: 1em;
}
